#include "MenuTextJump_Player1Keyboard.h"

InputSetting_Keyboard* MenuTextJump_Player1Keyboard::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Keyboard ? gameFunc->GetInputSetting_Player1Keyboard() : nullptr;
}

SDL_Scancode* MenuTextJump_Player1Keyboard::GetBind(InputSetting_Keyboard* setting)
{
	return &setting->op_jump;
}

std::shared_ptr<Entity> CreateMenuTextJump_Player1Keyboard()
{
	return std::make_shared<MenuTextJump_Player1Keyboard>();
}

